function Validator() {
	this.isValid = true;
	this.errorMessage = "";
	this.initialMessage = "";
	var self = this;

	this.validate = function (parameters, constraints, options) {
		self.errorMessage = "";
		parameters = Util.parseToArray(parameters);
		constraints = Util.parseToArray(constraints);
		options = Util.parseToArray(options);

		parameters.forEach(function (parameter, index) {
			var validationResult = validate(parameter, constraints[index], options);
			if (validationResult) {
				var messageStart = self.errorMessage? "\n" : "";
				self.errorMessage += messageStart + self.formatValidationResult(validationResult);
				self.isValid = false;
			}
		});

		return self.isValid;
	};

	this.formatValidationResult = function formatValidationResult(validationResult) {
		var stringifiedValidation = JSON.stringify(validationResult, null, 2);
		return self.initialMessage? self.initialMessage + "\n" + stringifiedValidation : stringifiedValidation;
	};
}